using Edu.Common.Plugin;

namespace Edu.Common.Enum.User
{
    /// <summary>
    /// 0、所有平台 1、小满APP（包含IOS和Android）2、Web3、微信公众号4、微信小程序
    /// </summary>
    public enum SystemPushLogTypeEnum
    {
        /// <summary>
        /// 小满APP（包含IOS和Android）
        /// </summary>
        [EnumField("小满APP（包含IOS和Android")]
        XMApp = 1,

        /// <summary>
        /// Web
        /// </summary>
        [EnumField("、Web")]
        Web = 2,

        /// <summary>
        /// 、微信公众号
        /// </summary>
        [EnumField("、微信公众号")]
        OfficialAccount = 3,

        /// <summary>
        /// 微信小程序
        /// </summary>
        [EnumField("微信小程序")]
        Applet = 4
    }
    /// <summary>
    /// 推送类型
    /// </summary>
    public enum SysTemPushTypeEnum
    {
        /// <summary>
        /// 审批
        /// </summary>
        [EnumField("审批")]
        Audit = 1,
        /// <summary>
        /// 通知
        /// </summary>
        [EnumField("通知")]
        notification = 2,
        /// <summary>
        /// 订单
        /// </summary>
        [EnumField("订单")]
        Order = 3,
        /// <summary>
        /// 旅客名单
        /// </summary>
        [EnumField("旅客名单")]
        Guest = 4,
        /// <summary>
        /// 财务单据催审
        /// </summary>
        [EnumField("财务单据催审")]
        FinancePushOn=5,
        /// <summary>
        /// 营销通知
        /// </summary>
        [EnumField("营销通知")]
        Marketing = 6,
        /// <summary>
        /// 资产审批
        /// </summary>
        [EnumField("资产审批")]
        Property = 7,
        /// <summary>
        /// 工作计划审批
        /// </summary>
        [EnumField("工作计划审批")]
        Work = 8,
    }
}